Index: WAeUP_SRP/trunk/skins/waeup_fceokene/accommodation_record_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_fceokene/accommodation_record_slip.pt	(revision 5786)
+++ WAeUP_SRP/trunk/skins/waeup_fceokene/accommodation_record_slip.pt	(revision 5786)
@@ -0,0 +1,100 @@
+<metal:body use-macro="here/slip_template/macros/master">
+    <metal:main fill-slot="main"
+                tal:define="
+                            info_acco options/info|nothing;
+                            info_app context/getApplicationInfo;
+                            ">
+      <span tal:condition="python: not info_acco">
+            <span tal:content="here/illegal_view" />
+      </span>   
+      <span tal:condition="python: info_acco">                   
+          <h3>Hostel Allocation Slip (including Maintenance Receipt)</h3>
+
+          <br />
+           
+        <span tal:omit-tag=""
+              tal:content="structure python: info_app['app_doc'].render(proxy=info_app['app_doc'],
+              layout_mode='view_info', 
+              layout_id='student_application')" 
+              />     
+          
+       <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
+
+         <tr>
+             <td width="180px" valign="top">
+              <span class="dlabel">Booking Session</span>:
+             </td>
+             <td> 
+                <span tal:content="python:context.portal_vocabularies.sessions.get(info_acco['Booking Session'])"></span>
+             </td>
+         </tr>
+         <tr>
+             <td width="180px" valign="top">
+              <span class="dlabel">Bed</span>:
+             </td>
+             <td> 
+                <span tal:content="python:context.getFormattedBed(info_acco['Bed'])"></span>
+             </td>
+         </tr>
+         <tr>
+             <td width="180px" valign="top">
+              <span class="dlabel">Bed Type</span>:
+             </td>
+             <td> 
+                <span tal:content="python:info_acco['Bed Type']"></span>
+             </td>
+         </tr>                  
+         <tr>
+             <td width="180px" valign="top">
+              <span class="dlabel">Hostel Application Date</span>:
+             </td>
+             <td> 
+                <span tal:content="python:context.getDateStr(fmt='%d/%m/%Y', dt=info_acco['Hostel Application Date'])"></span>
+             </td>
+         </tr>    
+
+         <tr>
+             <td width="180px" valign="top">
+              <span class="dlabel">Maintenance Payment Code</span>:
+             </td>
+             <td> 
+                <span tal:content="python:info_acco['Maintenance Payment Code']"></span>
+             </td>
+         </tr> 
+         <tr>
+             <td width="180px" valign="top">
+              <span class="dlabel">Maintenance Fee</span>:
+             </td>
+             <td> 
+                <span tal:content="python:info_acco['Maintenance Fee']"></span>
+             </td>
+         </tr>                     
+      
+         <tr>
+             <td width="180px" valign="top">
+              <span class="dlabel">Online Payment Id</span>:
+             </td>
+             <td> 
+                <span tal:content="python:info_acco['Online Payment Id']"></span>
+             </td>
+         </tr>            
+         <tr>
+             <td width="180px" valign="top">
+              <span class="dlabel">Maintenance Payment Date</span>:
+             </td>
+             <td> 
+                <span tal:content="python:context.getDateStr(fmt='%d/%m/%Y', dt=info_acco['Maintenance Payment Date'])"></span>
+             </td>
+         </tr>                                              
+         <tr>
+             <td width="180px" valign="top">
+              <span class="dlabel">Booking Status</span>:
+             </td>
+             <td> 
+                <span tal:content="python:info_acco['Booking Status']"></span>
+             </td>
+         </tr>
+       </table>
+      </span>      
+    </metal:main>
+</metal:body>