Index: /WAeUP_SRP/trunk/profiles/aaua/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/aaua/actions.xml	(revision 5788)
+++ /WAeUP_SRP/trunk/profiles/aaua/actions.xml	(revision 5789)
@@ -8,3 +8,8 @@
   </action>
  </action-provider>
+ <action-provider name="portal_actions">
+  <action title="My Accommodation" action_id="reserve_accommodation"
+     category="student_navigation" condition_expr="member"
+     url_expr="string:${portal_url}/campus/students/${member}/accommodations" visible="False"/>
+ </action-provider>    
 </object>
Index: /WAeUP_SRP/trunk/profiles/aaue/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/aaue/actions.xml	(revision 5788)
+++ /WAeUP_SRP/trunk/profiles/aaue/actions.xml	(revision 5789)
@@ -8,3 +8,8 @@
   </action>
  </action-provider>
+ <action-provider name="portal_actions">
+  <action title="My Accommodation" action_id="reserve_accommodation"
+     category="student_navigation" condition_expr="member"
+     url_expr="string:${portal_url}/campus/students/${member}/accommodations" visible="False"/>
+ </action-provider>   
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/payments_catalog.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/payments_catalog.xml	(revision 5788)
+++ /WAeUP_SRP/trunk/profiles/default/payments_catalog.xml	(revision 5789)
@@ -26,7 +26,4 @@
   <indexed_attr value="order_id"/>
  </index>
- <index name="order_id" meta_type="FieldIndex">
-  <indexed_attr value="order_id"/>
- </index>
  <index name="resp_desc" meta_type="KeywordIndex">
   <indexed_attr value="resp_desc"/>
Index: /WAeUP_SRP/trunk/profiles/fceoyo/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/fceoyo/actions.xml	(revision 5788)
+++ /WAeUP_SRP/trunk/profiles/fceoyo/actions.xml	(revision 5789)
@@ -8,3 +8,8 @@
   </action>
  </action-provider>
+ <action-provider name="portal_actions">
+  <action title="My Accommodation" action_id="reserve_accommodation"
+     category="student_navigation" condition_expr="member"
+     url_expr="string:${portal_url}/campus/students/${member}/accommodations" visible="False"/>
+ </action-provider>    
 </object>
Index: /WAeUP_SRP/trunk/profiles/nau/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/nau/actions.xml	(revision 5788)
+++ /WAeUP_SRP/trunk/profiles/nau/actions.xml	(revision 5789)
@@ -15,3 +15,8 @@
   </action>     
  </action-provider>
+ <action-provider name="portal_actions">
+  <action title="My Accommodation" action_id="reserve_accommodation"
+     category="student_navigation" condition_expr="member"
+     url_expr="string:${portal_url}/campus/students/${member}/accommodations" visible="False"/>
+ </action-provider>    
 </object>
Index: /WAeUP_SRP/trunk/profiles/ois/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/actions.xml	(revision 5788)
+++ /WAeUP_SRP/trunk/profiles/ois/actions.xml	(revision 5789)
@@ -20,5 +20,5 @@
   <action title="My Accommodation" action_id="reserve_accommodation"
      category="student_navigation" condition_expr="member"
-     url_expr="string:${portal_url}/campus/students/${member}/reserve_accommodation" visible="False"/>
+     url_expr="string:${portal_url}/campus/students/${member}/accommodations" visible="False"/>
   <action title="Students" action_id="view_students" category="navigation"
      condition_expr="python:portal.campus.students.isSectionOfficer() "
Index: /WAeUP_SRP/trunk/profiles/unilorin/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/unilorin/actions.xml	(revision 5788)
+++ /WAeUP_SRP/trunk/profiles/unilorin/actions.xml	(revision 5789)
@@ -8,3 +8,8 @@
   </action>
  </action-provider>
+ <action-provider name="portal_actions">
+  <action title="My Accommodation" action_id="reserve_accommodation"
+     category="student_navigation" condition_expr="member"
+     url_expr="string:${portal_url}/campus/students/${member}/accommodations" visible="False"/>
+ </action-provider>    
 </object>