Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationRecords.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationRecords.py	(revision 5794)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationRecords.py	(revision 5795)
@@ -56,5 +56,9 @@
     row['reservation_status'] = ar.reservation_status
     row['paid'] = ar.reservation_status == 'maintenance_fee_paid'
-    row['current_unpaid'] = not row['paid'] and ar.session == portal_session
+    row['current_unpaid'] = not row['paid'] and ar.session == portal_session and \
+                                                student_record.review_state in ('cleared_and_validated',
+                                                                                'school_fee_paid',
+                                                                                'courses_registered', 
+                                                                                'courses_validated',)
     row['url'] = student_path
     row['cancellation_allowed'] = info['is_so'] and ar.session == portal_session
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/getInterswitchParams.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/getInterswitchParams.py	(revision 5794)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/getInterswitchParams.py	(revision 5795)
@@ -21,5 +21,5 @@
 d['type'] = 'online'
 d['status'] = 'started'
-d['surcharge'] = '300'
+d['surcharge'] = 300
 if test == 'simulate':
     d['action'] = "%s/payments/%s/simulate_callback" % (student.absolute_url(),payment_id) #do not use simulate_callback
@@ -36,9 +36,10 @@
     d['pay_item_name'] = "FUT Minna %(type_description)s" % d
     if paytype == 'HOMH':
-        d['amount'] = 15000
+        d['fee'] = 15000
     elif student_record.level  in ('100','200','300','400','500') and student_record.faculty in ('EET','SET','AAT','ICT','EMT'):
-        d['amount'] = 9000
+        d['fee'] = 9000
     else:
-        d['amount'] = 7000
+        d['fee'] = 7000
+    d['amount'] = d['fee'] + d['surcharge']
     d['category'] = 'hostel_maintenance'
     d['item'] = paytype
@@ -50,5 +51,5 @@
     xmldict['department'] = student_record.department
     xmldict['faculty'] = student_record.faculty
-    xmldict['fut_amount'] = "%d" % int(100*d['amount'])
+    xmldict['fut_amount'] = "%d" % int(100*d['fee'])
     
     xmltext = """<payment_item_detail>
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/getSchoolFee.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/getSchoolFee.py	(revision 5794)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/getSchoolFee.py	(revision 5795)
@@ -21,24 +21,32 @@
     if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated':
         if brain.entry_mode == 'rmd_ft':
-            d['all'] = 80200
+            d['lrf'] = late_registration_fee
+            d['all'] = 80200 
         else:
-            d['all'] = 74200
+            d['lrf'] = late_registration_fee
+            d['all'] = 74200 
             
     # fresh
     elif brain.review_state == 'cleared_and_validated':
         if brain.mode == 'jm_ft':
-            d['all'] = 72700   
+            d['lrf'] = late_registration_fee
+            d['all'] = 72700 
         elif brain.lga == 'foreigner':
-            d['all'] = 131500
+            d['lrf'] = late_registration_fee
+            d['all'] = 131500 
         else:
-            d['all'] = 41500
+            d['lrf'] = late_registration_fee
+            d['all'] = 41500 
     # returning
     elif brain.review_state == 'returning':
         if brain.mode == 'jm_ft':
-            d['all'] = 32500 + late_registration_fee
+            d['lrf'] = late_registration_fee
+            d['all'] = 32500 
         elif brain.lga == 'foreigner':
-            d['all'] = 109500 + late_registration_fee
+            d['lrf'] = late_registration_fee
+            d['all'] = 109500 
         else:
-            d['all'] = 19500 + late_registration_fee
+            d['lrf'] = late_registration_fee
+            d['all'] = 19500 
     else:
         d['all'] = 0
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/goto_interswitch_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/goto_interswitch_form.pt	(revision 5794)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/goto_interswitch_form.pt	(revision 5795)
@@ -27,16 +27,30 @@
             <td tal:content="info/pay_bill_to" />
           </tr>
-          <tr>
-            <td >
-            Amount:
+                         
+          <tr tal:condition="info/fee|nothing">
+            <td>
+            Fee:
             </td>
-            <td> Naira <span tal:content="info/amount" /></td>
-          </tr>
-          <tr>
+            <td> Naira <span tal:content="info/fee" /></td>
+          </tr>          
+          <tr tal:condition="info/surcharge|nothing">
             <td >
             Surcharge:
             </td>
             <td> Naira <span tal:content="info/surcharge" /></td>
-          </tr>          
+          </tr>             
+          <tr tal:condition="info/lrf|nothing">
+            <td width="200px">
+            Late Registration Fee:
+            </td>
+            <td> Naira <span tal:content="info/lrf" /></td>
+          </tr>
+          <tr>
+            <td >
+            Total Amount:
+            </td>
+            <td> Naira <span tal:content="info/amount" /></td>
+          </tr>
+          
       
         </table>
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/interswitch_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/interswitch_form.pt	(revision 5794)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/interswitch_form.pt	(revision 5795)
@@ -20,8 +20,20 @@
             </td>
             <td tal:content="info/pay_bill_to" />
+          </tr>              
+          <tr tal:condition="info/fee|nothing">
+            <td>
+            Fee:
+            </td>
+            <td> Naira <span tal:content="info/fee" /></td>
+          </tr>           
+          <tr tal:condition="info/lrf|nothing">
+            <td width="200px">
+            Late Registration Fee:
+            </td>
+            <td> Naira <span tal:content="info/lrf" /></td>
           </tr>
           <tr>
             <td >
-            Amount:
+            Total Amount:
             </td>
             <td> Naira <span tal:content="info/amount" /></td>
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/pay_interswitch.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/pay_interswitch.py	(revision 5794)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/pay_interswitch.py	(revision 5795)
@@ -90,7 +90,8 @@
 
 
-info['surcharge'] = 0  # students don't have to pay the surcharge, FUT is paying for them
-interswitch_amount = 300
-info['amount'] = amount = fee_dict['all']
+# students don't have to pay the Interswitch surcharge, FUT is paying for them
+info['lrf'] = fee_dict['lrf']
+info['fee'] = fee_dict['all']
+info['amount'] = amount = info['fee'] + info['lrf']
 total_amount = 100*int(amount) 
 
@@ -145,4 +146,5 @@
 
 bt_amount = 1500
+interswitch_amount = 300
 #fut_split = 0000 #not appicable
 fut_amount = amount - bt_amount - interswitch_amount
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/pay_interswitch_acco.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/pay_interswitch_acco.py	(revision 5794)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/pay_interswitch_acco.py	(revision 5795)
@@ -64,6 +64,4 @@
 else:
     payments = getattr(student,'payments')
-if request.has_key('epayment'):
-    return context.interswitch_form(info=info)
 
 
@@ -100,5 +98,5 @@
     args[arg] = info[field]
 interswitch_amount = int(info['surcharge'])*100
-uni_amount = int(info['amount'])*100
+uni_amount = int(info['fee'])*100
 total_amount = interswitch_amount + uni_amount
 args['Amount'] = "%d" % (total_amount)