Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/__init__.py
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/__init__.py	(revision 5869)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/__init__.py	(revision 5870)
@@ -1,4 +1,10 @@
   # -*- extra stuff goes here -*- 
-
+  
+from zope.i18nmessageid import MessageFactory
+_ = MessageFactory('waeup')  
+  
 def initialize(context):
     """Initializer called when used as a Zope 2 product."""
+    
+
+    
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/adapter.py
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/adapter.py	(revision 5870)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/adapter.py	(revision 5870)
@@ -0,0 +1,14 @@
+from plone.app.users.browser.personalpreferences import UserDataPanelAdapter
+
+class EnhancedUserDataPanelAdapter(UserDataPanelAdapter):
+    """
+    """
+    def get_position(self):
+        return self.context.getProperty('position', '')
+    def set_position(self, value):
+        return self.context.setMemberProperties({'position': value})
+    position = property(get_position, set_position)
+
+
+
+
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/configure.zcml
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/configure.zcml	(revision 5869)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/configure.zcml	(revision 5870)
@@ -4,5 +4,5 @@
     xmlns:cmf="http://namespaces.zope.org/cmf"
     xmlns:i18n="http://namespaces.zope.org/i18n"
-    i18n_domain="waeup.plonetheme">
+    i18n_domain="waeup">
 
   <five:registerPackage package="." initialize=".initialize" />
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5869)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5870)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-02-09 09:13+0000\n"
+"POT-Creation-Date: 2011-03-17 11:59+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -17,60 +17,80 @@
 
 #. Default: "About Us"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "About Us"
 msgstr "Über uns"
 
 #. Default: "History, Background, Philosophy"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "History, Background, Philosophy"
 msgstr "Geschichte, Hintergrund, Philosophie"
 
 #. Default: "Prices"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "Prices"
 msgstr "Preise"
 
 #. Default: "Products"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "Products"
 msgstr "Produkte"
 
 #. Default: "Technology, Downloads"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "Technology, Downloads"
 msgstr "Technologie, Downloads"
 
-#. Default: "members's homepage"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
+#. Default: "Homepage"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:97
 msgid "author_homepage"
-msgstr "Hompage des Mitglieds"
+msgstr "Hompage"
 
 #. Default: "No members found."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:129
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:128
 msgid "description_no_results_found"
 msgstr "Keine Mitglieder gefunden."
 
 #. Default: "Project Members"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:20
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:20
 msgid "heading_list_members"
 msgstr "Projektmitglieder"
 
+#. Default: "Your WAeUP position"
+#: .././userdataschema.py:28
+msgid "help_position"
+msgstr "Deine Position im WAeUP"
+
+#. Default: "Position"
+#: .././userdataschema.py:27
+msgid "label_position"
+msgstr "Stellung"
+
+#. Default: "Location"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:87
+msgid "location"
+msgstr "Ort"
+
 #. Default: "You are not allowed to list portal members."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:24
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:28
 msgid "member_listing_not_allowed"
 msgstr "Das Mitgliederverzeichnis ist nicht einsehbar."
 
 #. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:23
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:23
 msgid "name_not_listed"
 msgstr "Wenn du ein WAeUP-Mitglied bist, jedoch deinen Namen hier nicht findest, logge dich bitte ein und fülle das Formular 'Meine Einstellungen' aus. Nach dem Abspeichern wird dein Name automatisch erscheinen."
 
-#. Default: "personal preferences"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:105
+#. Default: "Personal Preferences"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:103
 msgid "personal_preferences"
 msgstr "Persönliche Einstellungen"
 
-#. Default: "send feedback"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:87
+#. Default: "Position"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:89
+msgid "position"
+msgstr "Stellung"
+
+#. Default: "Send Feedback"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:91
 msgid "send_feedback"
 msgstr "Sende Rückmeldung"
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5869)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5870)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-02-09 09:13+0000\n"
+"POT-Creation-Date: 2011-03-17 11:59+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -17,61 +17,81 @@
 
 #. Default: "About Us"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "About Us"
-msgstr "About Us"
+msgstr ""
 
 #. Default: "History, Background, Philosophy"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "History, Background, Philosophy"
 msgstr ""
 
 #. Default: "Prices"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "Prices"
 msgstr ""
 
 #. Default: "Products"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "Products"
-msgstr "Products"
+msgstr ""
 
 #. Default: "Technology, Downloads"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "Technology, Downloads"
 msgstr ""
 
-#. Default: "members's homepage"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
+#. Default: "Homepage"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:97
 msgid "author_homepage"
-msgstr "members's homepage"
+msgstr ""
 
 #. Default: "No members found."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:129
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:128
 msgid "description_no_results_found"
-msgstr "No members found."
+msgstr ""
 
 #. Default: "Project Members"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:20
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:20
 msgid "heading_list_members"
-msgstr "Project Members"
+msgstr ""
+
+#. Default: "Your WAeUP position"
+#: .././userdataschema.py:28
+msgid "help_position"
+msgstr ""
+
+#. Default: "Position"
+#: .././userdataschema.py:27
+msgid "label_position"
+msgstr ""
+
+#. Default: "Location"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:87
+msgid "location"
+msgstr ""
 
 #. Default: "You are not allowed to list portal members."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:24
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:28
 msgid "member_listing_not_allowed"
-msgstr "You are not allowed to list portal members."
+msgstr ""
 
 #. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:23
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:23
 msgid "name_not_listed"
 msgstr ""
 
-#. Default: "personal preferences"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:105
+#. Default: "Personal Preferences"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:103
 msgid "personal_preferences"
-msgstr "personal preferences"
+msgstr ""
 
-#. Default: "send feedback"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:87
+#. Default: "Position"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:89
+msgid "position"
+msgstr ""
+
+#. Default: "Send Feedback"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:91
 msgid "send_feedback"
-msgstr "send feedback"
+msgstr ""
 
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5869)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5870)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-02-09 09:13+0000\n"
+"POT-Creation-Date: 2011-03-17 11:59+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Issoufou Abba Moussa <isouaba@waeup.org>\n"
@@ -17,60 +17,83 @@
 
 #. Default: "About Us"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "About Us"
 msgstr "Qui sommes-nous"
 
 #. Default: "History, Background, Philosophy"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "History, Background, Philosophy"
 msgstr "Historique, Contexte, Philosophie"
 
 #. Default: "Prices"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "Prices"
 msgstr "Tarif"
 
 #. Default: "Products"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "Products"
 msgstr "Produits"
 
 #. Default: "Technology, Downloads"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "Technology, Downloads"
 msgstr "Télécharger"
 
-#. Default: "members's homepage"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
+#. Default: "Homepage"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:97
+#, fuzzy
 msgid "author_homepage"
 msgstr "page d'acceuil membre "
 
 #. Default: "No members found."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:129
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:128
 msgid "description_no_results_found"
 msgstr "Aucun résultat trouvé."
 
 #. Default: "Project Members"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:20
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:20
 msgid "heading_list_members"
 msgstr "Membres"
 
+#. Default: "Your WAeUP position"
+#: .././userdataschema.py:28
+msgid "help_position"
+msgstr ""
+
+#. Default: "Position"
+#: .././userdataschema.py:27
+msgid "label_position"
+msgstr ""
+
+#. Default: "Location:"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:87
+msgid "location"
+msgstr ""
+
 #. Default: "You are not allowed to list portal members."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:24
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:28
 msgid "member_listing_not_allowed"
 msgstr "Vous n'avez pas ce privilège"
 
 #. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:23
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:23
 msgid "name_not_listed"
 msgstr "Si vous êtes membre WAeUP mais ne voyez pas votre nom ici, vous connecter avec vos identifiant et mot de passe. Après l'enregistrement du formulaire personel, votre nom sera automatiquement répertorié."
 
-#. Default: "personal preferences"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:105
+#. Default: "Personal Preferences"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:103
+#, fuzzy
 msgid "personal_preferences"
 msgstr "mes préférences personnelles"
 
-#. Default: "send feedback"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:87
+#. Default: "Position:"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:89
+msgid "position"
+msgstr ""
+
+#. Default: "Send Feedback"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:91
+#, fuzzy
 msgid "send_feedback"
 msgstr "envoyez vos commentaires"
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5869)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5870)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-02-09 09:13+0000\n"
+"POT-Creation-Date: 2011-03-17 11:59+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -16,62 +16,77 @@
 "Domain: waeup\n"
 
-#. Default: "About Us"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "About Us"
 msgstr ""
 
-#. Default: "Products"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
+msgid "History, Background, Philosophy"
+msgstr ""
+
+#: .././profiles/default/actions.xml
+msgid "Prices"
+msgstr ""
+
+#: .././profiles/default/actions.xml
 msgid "Products"
 msgstr ""
 
-#. Default: "Prices"
-#: ../profiles/default/./actions.xml
-msgid "Prices"
-msgstr ""
-
-#. Default: "History, Background, Philosophy"
-#: ../profiles/default/./actions.xml
-msgid "History, Background, Philosophy"
-msgstr ""
-
-#. Default: "Technology, Downloads"
-#: ../profiles/default/./actions.xml
+#: .././profiles/default/actions.xml
 msgid "Technology, Downloads"
 msgstr ""
 
-#. Default: "members's homepage"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:96
+#. Default: "Homepage"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:97
 msgid "author_homepage"
 msgstr ""
 
 #. Default: "No members found."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:129
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:128
 msgid "description_no_results_found"
 msgstr ""
 
 #. Default: "Project Members"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:20
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:20
 msgid "heading_list_members"
 msgstr ""
 
+#. Default: "Your WAeUP position"
+#: .././userdataschema.py:28
+msgid "help_position"
+msgstr ""
+
+#. Default: "Position"
+#: .././userdataschema.py:27
+msgid "label_position"
+msgstr ""
+
+#. Default: "Location:"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:87
+msgid "location"
+msgstr ""
+
 #. Default: "You are not allowed to list portal members."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:24
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:28
 msgid "member_listing_not_allowed"
 msgstr ""
 
-#. Default: "personal preferences"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:105
+#. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:23
+msgid "name_not_listed"
+msgstr ""
+
+#. Default: "Personal Preferences"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:103
 msgid "personal_preferences"
 msgstr ""
 
-#. Default: "send feedback"
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:87
+#. Default: "Position:"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:89
+msgid "position"
+msgstr ""
+
+#. Default: "Send Feedback"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:91
 msgid "send_feedback"
 msgstr ""
 
-#. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
-#: ../skins/waeup_plonetheme_custom_templates/./member_search_form.pt:23
-msgid "name_not_listed"
-msgstr ""
-
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/overrides.zcml
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/overrides.zcml	(revision 5870)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/overrides.zcml	(revision 5870)
@@ -0,0 +1,11 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    i18n_domain="waeup">
+
+  <adapter 
+    provides=".userdataschema.IEnhancedUserDataSchema"
+    for="Products.CMFCore.interfaces.ISiteRoot"
+    factory=".adapter.EnhancedUserDataPanelAdapter"
+    />
+
+</configure>
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles.zcml
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles.zcml	(revision 5869)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles.zcml	(revision 5870)
@@ -2,5 +2,5 @@
     xmlns="http://namespaces.zope.org/zope"
     xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
-    i18n_domain="waeup.plonetheme">
+    i18n_domain="waeup">
 
   <genericsetup:registerProfile
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/componentregistry.xml
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/componentregistry.xml	(revision 5870)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/componentregistry.xml	(revision 5870)
@@ -0,0 +1,10 @@
+<?xml version="1.0"?>
+<componentregistry>
+  <utilities>
+    <utility
+      interface="plone.app.users.userdataschema.IUserDataSchemaProvider"
+      factory="waeup.plonetheme.userdataschema.UserDataSchemaProvider"
+    />
+  </utilities>
+</componentregistry>
+
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/memberdata_properties.xml
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/memberdata_properties.xml	(revision 5870)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/profiles/default/memberdata_properties.xml	(revision 5870)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<object name="portal_memberdata" meta_type="Plone Memberdata Tool">
+ <property name="position" type="string"></property>
+</object> 
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/skins.zcml
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/skins.zcml	(revision 5869)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/skins.zcml	(revision 5870)
@@ -2,5 +2,5 @@
     xmlns="http://namespaces.zope.org/zope"
     xmlns:cmf="http://namespaces.zope.org/cmf"
-    i18n_domain="waeup.plonetheme">
+    i18n_domain="waeup">
 
   <!-- File System Directory Views registration -->
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt	(revision 5869)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt	(revision 5870)
@@ -54,10 +54,11 @@
                                     author python:pm.getMemberInfo(id) or {};
                                     portrait python:pm.getPersonalPortrait(id);
+                                    position python:result.getProperty('position');
                                     home_base python:pm.getHomeUrl(id, verifyPermission=1);"
                         tal:condition="python:Group[0] in result.getGroupNames() and not id.endswith('1') and (author['fullname'] or not is_anonymous)">
     
-                      <td>
+                      <td style="width: 8%; vertical-align:top;">
                       <a href="#" tal:attributes="href portrait/absolute_url">
-                      <img src="" alt="" class="portraitPhoto" width="25" height="33"
+                      <img src="" alt="" class="portraitPhoto"  height="80"
                            style="float: left; margin: 0em;"
                            tal:attributes="src portrait/absolute_url" />
@@ -65,14 +66,5 @@
                       </td>
     
-                                    
-                      <td>
-                       <span tal:condition="python: is_manager">
-                         <a href="#" tal:attributes="href string:${portal_url}/portal_memberdata/prefs_user_details?userid=${id}">
-                           <span tal:content="id">id</span>
-                         </a>
-                       </span>
-                      </td>    
-                                                     
-                      <td>
+                      <td style="width: 17%; vertical-align:top;">
                        <span tal:condition="python: author['fullname']">
                          <span tal:content="python: author['fullname']">name</span>
@@ -81,36 +73,39 @@
                          XXXXX
                        </span>
-                      </td>
-    
-                      <td>
-                       <span tal:content="author/location|nothing">Location</span>
-                      </td>     
-                      
-                      <td>
-                       <span tal:condition="python: author['fullname'] and not is_anonymous">
-                         <a href="#" tal:attributes="href string:${portal_url}/author/${id}"
-                                     i18n:translate="send_feedback">
-                           send feedback
-                         </a>
-                       </span>
-                      </td>     
-                      
-                      <td>
-                       <span tal:condition="python: author['fullname']">
-                         <a href="#" tal:attributes="href string:${portal_url}/Members/${id}"
-                                     i18n:translate="author_homepage">
-                           members's homepage
-                         </a>
-                       </span>
-                      </td>                                                            
-                        
-                      <td>
-                       <span tal:condition="python: id == pm.getAuthenticatedMember().id">
-                         <a href="#" tal:attributes="href string:${portal_url}/personalize_form"
-                                     i18n:translate="personal_preferences">
-                           personal preferences
+                       <span tal:condition="python: is_manager">
+                         <a href="#" tal:attributes="href string:${portal_url}/user-information?userid=${id}">
+                           (<span tal:content="id">id</span>)
                          </a>
                        </span>
                       </td>
+
+                      <td style="width: 57%; padding: 0em 2em 0em 0em; vertical-align:top;">
+                       <span tal:content="author/description|nothing">Biography</span>
+                      </td>  
+                            
+                      <td style="width: 18%; vertical-align:top;">
+                       <span i18n:translate="location">Location</span>: <span tal:content="author/location|nothing">Location</span>
+                       <br />
+                       <span i18n:translate="position">Position</span>: <span tal:content="position">Position</span>
+                       <div tal:condition="python: author['fullname'] and not is_anonymous">
+                         <a href="#" tal:attributes="href string:${portal_url}/author/${id}"
+                                     i18n:translate="send_feedback">
+                           Send Feedback
+                         </a>
+                       </div>
+                       <div tal:condition="python: author['fullname']">
+                         <a href="#" tal:attributes="href string:${portal_url}/Members/${id}"
+                                     i18n:translate="author_homepage">
+                           Homepage
+                         </a>
+                       </div>            
+                       <div tal:condition="python: id == pm.getAuthenticatedMember().id">
+                         <a href="#" tal:attributes="href string:${portal_url}/personalize_form"
+                                     i18n:translate="personal_preferences">
+                           Personal Preferences
+                         </a>
+                       </div>                                  
+                      </td>     
+                      
                    </tr>
 
Index: /main/waeup.plonetheme/trunk/waeup/plonetheme/userdataschema.py
===================================================================
--- /main/waeup.plonetheme/trunk/waeup/plonetheme/userdataschema.py	(revision 5870)
+++ /main/waeup.plonetheme/trunk/waeup/plonetheme/userdataschema.py	(revision 5870)
@@ -0,0 +1,31 @@
+from zope.interface import Interface, implements
+from zope import schema
+
+from waeup.plonetheme import _
+from plone.app.users.userdataschema import IUserDataSchemaProvider
+from plone.app.users.userdataschema import IUserDataSchema
+
+def validateAccept(value):
+    if not value == True:
+        return False
+    return True
+
+class UserDataSchemaProvider(object):
+    implements(IUserDataSchemaProvider)
+
+    def getSchema(self):
+        """
+        """
+        return IEnhancedUserDataSchema
+
+class IEnhancedUserDataSchema(IUserDataSchema):
+    """ Use all the fields from the default user data schema, and add various
+    extra fields.
+    """
+
+    position = schema.TextLine(
+        title=_(u'label_position', default=u'Position'),
+        description=_(u'help_position',
+                      default=u"Your WAeUP position"),
+        required=False)
+