Index: main/waeup.plonetheme/trunk/waeup/plonetheme/adapter.py
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/adapter.py	(revision 5870)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/adapter.py	(revision 5871)
@@ -1,10 +1,15 @@
 from plone.app.users.browser.personalpreferences import UserDataPanelAdapter
+from Products.CMFCore.utils import getToolByName
 
 class EnhancedUserDataPanelAdapter(UserDataPanelAdapter):
     """
     """
+    
     def get_position(self):
         return self.context.getProperty('position', '')
     def set_position(self, value):
+        membership = getToolByName(self.context, 'portal_membership')
+        if not membership.checkPermission('Manage portal', self.context):
+            return
         return self.context.setMemberProperties({'position': value})
     position = property(get_position, set_position)
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5870)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5871)
@@ -56,8 +56,8 @@
 msgstr "Projektmitglieder"
 
-#. Default: "Your WAeUP position"
+#. Default: "Your WAeUP position (write-protected)"
 #: .././userdataschema.py:28
 msgid "help_position"
-msgstr "Deine Position im WAeUP"
+msgstr "Deine Position im WAeUP (schreibgeschützt)"
 
 #. Default: "Position"
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5870)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5871)
@@ -56,5 +56,5 @@
 msgstr ""
 
-#. Default: "Your WAeUP position"
+#. Default: "Your WAeUP position (write-protected)"
 #: .././userdataschema.py:28
 msgid "help_position"
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5870)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5871)
@@ -57,5 +57,5 @@
 msgstr "Membres"
 
-#. Default: "Your WAeUP position"
+#. Default: "Your WAeUP position (write-protected)"
 #: .././userdataschema.py:28
 msgid "help_position"
@@ -67,5 +67,5 @@
 msgstr ""
 
-#. Default: "Location:"
+#. Default: "Location"
 #: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:87
 msgid "location"
@@ -88,5 +88,5 @@
 msgstr "mes préférences personnelles"
 
-#. Default: "Position:"
+#. Default: "Position"
 #: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:89
 msgid "position"
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5870)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5871)
@@ -51,5 +51,5 @@
 msgstr ""
 
-#. Default: "Your WAeUP position"
+#. Default: "Your WAeUP position (write-protected)"
 #: .././userdataschema.py:28
 msgid "help_position"
@@ -61,5 +61,5 @@
 msgstr ""
 
-#. Default: "Location:"
+#. Default: "Location"
 #: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:87
 msgid "location"
@@ -81,5 +81,5 @@
 msgstr ""
 
-#. Default: "Position:"
+#. Default: "Position"
 #: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:89
 msgid "position"
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt	(revision 5870)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/skins/waeup_plonetheme_custom_templates/member_search_form.pt	(revision 5871)
@@ -13,9 +13,11 @@
        tal:define="search_view here/@@pas_search;
                    listing_allowed python: checkPermission('List portal members', here);
-                   results python:listing_allowed and here.portal_membership.searchForMembers(request) or [];
+                   results python:listing_allowed and here.portal_membership.searchForMembers();
+                   dummy python:results.sort(key=lambda x: x.getProperty('position') or '9999');
                    DateTime python:modules['DateTime'].DateTime; 
                    is_anonymous python:here.portal_membership.isAnonymousUser();
                    is_manager python:test(here.portal_membership.checkPermission('Manage portal', here), 1, 0); ">
 
+   
     <h1 class="documentFirstHeading"
         i18n:translate="heading_list_members">Project Members</h1>
@@ -37,19 +39,16 @@
                              portal_url context/@@plone_portal_state/portal_url">
 
-
-
             <table align="left" width=100%>
             <tbody>
-              <tal:repeat tal:define="Groups python:(('Nigeria','Nigerian Group'), ('Germany','German Group'), ('Ghana','Ghanaian Group'), ('Niger','Niger Group'))"
+              <tal:repeat tal:define="Groups python:(('Nigeria','Nigerian Group'), ('Germany','German Group'), )"
                           tal:repeat="Group Groups">
               <tr><td colspan="5">
                   <h2 style="padding: 0.5em 0em" tal:content="python:Group[1]" />
               </td></tr>
-              
-            
-              
+
               <tal:block tal:repeat="result results">
 
-                    <tr tal:define="id result/getUserName | nothing;
+                    <tr style="border: 10px solid white"
+                        tal:define="id result/getUserName | nothing;
                                     author python:pm.getMemberInfo(id) or {};
                                     portrait python:pm.getPersonalPortrait(id);
@@ -60,5 +59,5 @@
                       <td style="width: 8%; vertical-align:top;">
                       <a href="#" tal:attributes="href portrait/absolute_url">
-                      <img src="" alt="" class="portraitPhoto"  height="80"
+                      <img src="" alt="" class="portraitPhoto"  width="60"
                            style="float: left; margin: 0em;"
                            tal:attributes="src portrait/absolute_url" />
@@ -66,5 +65,5 @@
                       </td>
     
-                      <td style="width: 17%; vertical-align:top;">
+                      <td style="width: 20%; vertical-align:top;">
                        <span tal:condition="python: author['fullname']">
                          <span tal:content="python: author['fullname']">name</span>
@@ -80,12 +79,12 @@
                       </td>
 
-                      <td style="width: 57%; padding: 0em 2em 0em 0em; vertical-align:top;">
+                      <td style="width: 50%; padding: 0em 2em 0em 0em; vertical-align:top;">
                        <span tal:content="author/description|nothing">Biography</span>
                       </td>  
                             
-                      <td style="width: 18%; vertical-align:top;">
+                      <td style="width: 22%; vertical-align:top;">
                        <span i18n:translate="location">Location</span>: <span tal:content="author/location|nothing">Location</span>
                        <br />
-                       <span i18n:translate="position">Position</span>: <span tal:content="position">Position</span>
+                       <span i18n:translate="position">Position</span>: <span tal:content="python: ' '.join(position.split()[1:])">Position</span>
                        <div tal:condition="python: author['fullname'] and not is_anonymous">
                          <a href="#" tal:attributes="href string:${portal_url}/author/${id}"
@@ -107,7 +106,5 @@
                        </div>                                  
                       </td>     
-                      
                    </tr>
-
 
               </tal:block>
@@ -117,8 +114,5 @@
 
             </div>
-
             <div class="visualClear" id="clear-space-before-navigation"><!-- --></div>
-
-
             <div class="visualClear" id="clear-space-after-navigation"><!-- --></div>
 
@@ -133,3 +127,2 @@
 
 </html>
-
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/userdataschema.py
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/userdataschema.py	(revision 5870)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/userdataschema.py	(revision 5871)
@@ -27,5 +27,5 @@
         title=_(u'label_position', default=u'Position'),
         description=_(u'help_position',
-                      default=u"Your WAeUP position"),
+                      default=u"Your WAeUP position (write-protected)",
         required=False)
 