Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5871)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/de/LC_MESSAGES/waeup.po	(revision 5873)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-03-17 11:59+0000\n"
+"POT-Creation-Date: 2011-03-18 06:33+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -42,17 +42,27 @@
 
 #. Default: "Homepage"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:97
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:98
 msgid "author_homepage"
 msgstr "Hompage"
 
+#. Default: "Company"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:86
+msgid "company"
+msgstr "Firma"
+
 #. Default: "No members found."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:128
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:124
 msgid "description_no_results_found"
 msgstr "Keine Mitglieder gefunden."
 
 #. Default: "Project Members"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:20
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:22
 msgid "heading_list_members"
 msgstr "Projektmitglieder"
+
+#. Default: "The company you are working for"
+#: .././userdataschema.py:34
+msgid "help_company"
+msgstr "Die Firma, für die du arbeitest"
 
 #. Default: "Your WAeUP position (write-protected)"
@@ -60,4 +70,9 @@
 msgid "help_position"
 msgstr "Deine Position im WAeUP (schreibgeschützt)"
+
+#. Default: "Company"
+#: .././userdataschema.py:33
+msgid "label_company"
+msgstr "Firma"
 
 #. Default: "Position"
@@ -67,30 +82,30 @@
 
 #. Default: "Location"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:87
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:88
 msgid "location"
 msgstr "Ort"
 
 #. Default: "You are not allowed to list portal members."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:28
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:30
 msgid "member_listing_not_allowed"
 msgstr "Das Mitgliederverzeichnis ist nicht einsehbar."
 
 #. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:23
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:25
 msgid "name_not_listed"
 msgstr "Wenn du ein WAeUP-Mitglied bist, jedoch deinen Namen hier nicht findest, logge dich bitte ein und fülle das Formular 'Meine Einstellungen' aus. Nach dem Abspeichern wird dein Name automatisch erscheinen."
 
 #. Default: "Personal Preferences"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:103
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:104
 msgid "personal_preferences"
 msgstr "Persönliche Einstellungen"
 
 #. Default: "Position"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:89
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:90
 msgid "position"
 msgstr "Stellung"
 
 #. Default: "Send Feedback"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:91
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:92
 msgid "send_feedback"
 msgstr "Sende Rückmeldung"
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5871)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/en/LC_MESSAGES/waeup.po	(revision 5873)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-03-17 11:59+0000\n"
+"POT-Creation-Date: 2011-03-18 06:33+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -42,16 +42,26 @@
 
 #. Default: "Homepage"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:97
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:98
 msgid "author_homepage"
 msgstr ""
 
+#. Default: "Company"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:86
+msgid "company"
+msgstr ""
+
 #. Default: "No members found."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:128
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:124
 msgid "description_no_results_found"
 msgstr ""
 
 #. Default: "Project Members"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:20
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:22
 msgid "heading_list_members"
+msgstr ""
+
+#. Default: "The company you are working for"
+#: .././userdataschema.py:34
+msgid "help_company"
 msgstr ""
 
@@ -59,4 +69,9 @@
 #: .././userdataschema.py:28
 msgid "help_position"
+msgstr ""
+
+#. Default: "Company"
+#: .././userdataschema.py:33
+msgid "label_company"
 msgstr ""
 
@@ -67,30 +82,30 @@
 
 #. Default: "Location"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:87
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:88
 msgid "location"
 msgstr ""
 
 #. Default: "You are not allowed to list portal members."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:28
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:30
 msgid "member_listing_not_allowed"
 msgstr ""
 
 #. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:23
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:25
 msgid "name_not_listed"
 msgstr ""
 
 #. Default: "Personal Preferences"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:103
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:104
 msgid "personal_preferences"
 msgstr ""
 
 #. Default: "Position"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:89
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:90
 msgid "position"
 msgstr ""
 
 #. Default: "Send Feedback"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:91
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:92
 msgid "send_feedback"
 msgstr ""
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5871)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/fr/LC_MESSAGES/waeup.po	(revision 5873)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-03-17 11:59+0000\n"
+"POT-Creation-Date: 2011-03-18 06:33+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Issoufou Abba Moussa <isouaba@waeup.org>\n"
@@ -42,22 +42,37 @@
 
 #. Default: "Homepage"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:97
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:98
 #, fuzzy
 msgid "author_homepage"
 msgstr "page d'acceuil membre "
 
+#. Default: "Company"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:86
+msgid "company"
+msgstr ""
+
 #. Default: "No members found."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:128
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:124
 msgid "description_no_results_found"
 msgstr "Aucun résultat trouvé."
 
 #. Default: "Project Members"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:20
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:22
 msgid "heading_list_members"
 msgstr "Membres"
+
+#. Default: "The company you are working for"
+#: .././userdataschema.py:34
+msgid "help_company"
+msgstr ""
 
 #. Default: "Your WAeUP position (write-protected)"
 #: .././userdataschema.py:28
 msgid "help_position"
+msgstr ""
+
+#. Default: "Company"
+#: .././userdataschema.py:33
+msgid "label_company"
 msgstr ""
 
@@ -68,20 +83,20 @@
 
 #. Default: "Location"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:87
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:88
 msgid "location"
 msgstr ""
 
 #. Default: "You are not allowed to list portal members."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:28
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:30
 msgid "member_listing_not_allowed"
 msgstr "Vous n'avez pas ce privilège"
 
 #. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:23
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:25
 msgid "name_not_listed"
 msgstr "Si vous êtes membre WAeUP mais ne voyez pas votre nom ici, vous connecter avec vos identifiant et mot de passe. Après l'enregistrement du formulaire personel, votre nom sera automatiquement répertorié."
 
 #. Default: "Personal Preferences"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:103
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:104
 #, fuzzy
 msgid "personal_preferences"
@@ -89,10 +104,10 @@
 
 #. Default: "Position"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:89
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:90
 msgid "position"
 msgstr ""
 
 #. Default: "Send Feedback"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:91
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:92
 #, fuzzy
 msgid "send_feedback"
Index: main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot
===================================================================
--- main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5871)
+++ main/waeup.plonetheme/trunk/waeup/plonetheme/locales/waeup.pot	(revision 5873)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: waeup.plonethemes\n"
-"POT-Creation-Date: 2011-03-17 11:59+0000\n"
+"POT-Creation-Date: 2011-03-18 06:33+0000\n"
 "PO-Revision-Date: 2011-02-07 17:26+0000\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -37,16 +37,26 @@
 
 #. Default: "Homepage"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:97
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:98
 msgid "author_homepage"
 msgstr ""
 
+#. Default: "Company"
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:86
+msgid "company"
+msgstr ""
+
 #. Default: "No members found."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:128
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:124
 msgid "description_no_results_found"
 msgstr ""
 
 #. Default: "Project Members"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:20
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:22
 msgid "heading_list_members"
+msgstr ""
+
+#. Default: "The company you are working for"
+#: .././userdataschema.py:34
+msgid "help_company"
 msgstr ""
 
@@ -54,4 +64,9 @@
 #: .././userdataschema.py:28
 msgid "help_position"
+msgstr ""
+
+#. Default: "Company"
+#: .././userdataschema.py:33
+msgid "label_company"
 msgstr ""
 
@@ -62,30 +77,30 @@
 
 #. Default: "Location"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:87
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:88
 msgid "location"
 msgstr ""
 
 #. Default: "You are not allowed to list portal members."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:28
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:30
 msgid "member_listing_not_allowed"
 msgstr ""
 
 #. Default: "If you are a WAeUP member but don't see your name here, login with your credentials and fill the personal data form. After saving the form, your name will be automatically listed."
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:23
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:25
 msgid "name_not_listed"
 msgstr ""
 
 #. Default: "Personal Preferences"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:103
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:104
 msgid "personal_preferences"
 msgstr ""
 
 #. Default: "Position"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:89
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:90
 msgid "position"
 msgstr ""
 
 #. Default: "Send Feedback"
-#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:91
+#: .././skins/waeup_plonetheme_custom_templates/member_search_form.pt:92
 msgid "send_feedback"
 msgstr ""