Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 5916)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 5917)
@@ -144,5 +144,5 @@
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...<h2>Registered Faculties</h2>
+  ...<h2>Faculties</h2>
   ...<td><a href="http://localhost/myuniversity/faculties/TF">TF</a></td><td>Faculty of TestFac</td>
   ...
@@ -164,7 +164,7 @@
 
 We can change the settings for a faculty by clicking on the
-provided 'Edit  settings' button:
-
-  >>> browser.getLink('Edit settings').click()
+provided 'Edit  faculty' button:
+
+  >>> browser.getLink('Edit faculty').click()
 
 Let's set a new title and save the form:
@@ -184,5 +184,5 @@
 changed:
 
-  >>> browser.getLink('Edit settings').click()
+  >>> browser.getLink('Edit faculty').click()
   >>> browser.getControl(name='form.title').value = "Blah"
   >>> browser.getControl('Cancel').click()
@@ -194,5 +194,5 @@
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...<h2>Registered Faculties</h2>
+  ...<h2>Faculties</h2>
   ...<td><a href="http://localhost/myuniversity/faculties/TF">TF</a></td><td>Faculty of My renamed faculty</td>
   ...
@@ -250,5 +250,5 @@
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...<h2>Registered Departments:</h2>
+  ...<h2>Departments</h2>
   ...<td><a href="http://localhost/myuniversity/faculties/TF/TD">TD</a></td><td>Department of TestDept</td>
   ...
@@ -259,8 +259,8 @@
 
 We can change the settings for a department by clicking on the
-provided 'Edit settings' button:
+provided 'Edit department' button:
 
   >>> browser.open('http://localhost/myuniversity/faculties/TF/TD')
-  >>> browser.getLink('Edit settings').click()
+  >>> browser.getLink('Edit department').click()
 
 Let's set a new title and save the form:
@@ -280,5 +280,5 @@
 changed:
 
-  >>> browser.getLink('Edit settings').click()
+  >>> browser.getLink('Edit department').click()
   >>> browser.getControl(name='form.title').value = "Blah"
   >>> browser.getControl('Cancel').click()
@@ -290,5 +290,5 @@
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...<h2>Registered Departments:</h2>
+  ...<h2>Departments</h2>
   ...<td><a href="http://localhost/myuniversity/faculties/TF/TD">TD</a></td><td>Department of My renamed dept</td>
   ...
@@ -384,5 +384,5 @@
 
   >>> browser.open(dept_url + '/courses/COURSE1')
-  >>> browser.getLink('Edit settings').click()
+  >>> browser.getLink('Edit course').click()
 
 When modifying a course, we cannot change the code any more:
@@ -409,5 +409,5 @@
 changed:
 
-  >>> browser.getLink('Edit settings').click()
+  >>> browser.getLink('Edit course').click()
   >>> browser.getControl(name='form.title').value = "Blah"
   >>> browser.getControl('Cancel').click()
@@ -530,8 +530,8 @@
 
 We can change the settings for a cert by clicking on the provided
-'Edit settings' link:
+'Edit certificate' link:
 
   >>> browser.open(dept_url + '/certificates/CERT1')
-  >>> browser.getLink('Edit settings').click()
+  >>> browser.getLink('Edit certificate').click()
 
 When modifying a certificate, we cannot change the code any more:
@@ -558,5 +558,5 @@
 changed:
 
-  >>> browser.getLink('Edit settings').click()
+  >>> browser.getLink('Edit certificate').click()
   >>> browser.getControl(name='form.title').value = "Blah"
   >>> browser.getControl('Cancel').click()
@@ -690,8 +690,8 @@
 
 We can change the settings for a certcourse by clicking on the
-provided 'Edit settings' link:
+provided 'Edit certificate course' link:
 
   >>> browser.open(cert_url + '/COURSE1_100')
-  >>> browser.getLink('Edit settings').click()
+  >>> browser.getLink('Edit certificate course').click()
 
 Let's set a new level (it was 100 before) and save the form. This will
@@ -711,5 +711,5 @@
 changed:
 
-  >>> browser.getLink('Edit settings').click()
+  >>> browser.getLink('Edit certificate course').click()
   >>> browser.getControl(name='form.level').value = "666"
   >>> browser.getControl('Cancel').click()
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 5916)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 5917)
@@ -125,5 +125,5 @@
     grok.context(IUniversity)
     grok.require('waeup.manageUniversity')
-    title = u'Edit settings'
+    title = u'Edit portal settings'
     pnav = 0
 
@@ -140,5 +140,4 @@
         self.flash('Settings have been saved.')
         return
-
     @grok.action('Cancel', validator=NullValidator)
     def cancel(self, **data):
@@ -152,4 +151,33 @@
         self.flash('Plugins were updated. See log file for details.')
         self.redirect(self.url(self.context))
+        return
+        
+class RemoveFormPage(WAeUPPage):
+    grok.require('waeup.manageUniversity')
+    grok.name('remove')
+    grok.template('removesubobjectspage')
+    pnav = 1
+
+    def update(self):
+        form = self.request.form
+        if 'CANCEL' in form.keys():
+            self.redirect(self.url(self.context))
+        if not 'REMOVE' in form.keys():
+            return
+        child_id = form['val_id']
+        if not isinstance(child_id, list):
+            child_id = [child_id]
+        deleted = []
+        for id in child_id:
+            try:
+                del self.context[id]
+                deleted.append(id)
+            except:
+                self.flash('Could not delete %s: %s: %s' % (
+                        id, sys.exc_info()[0], sys.exc_info()[1]))
+        if len(deleted):
+            self.flash('Successfully removed: %s' % ', '.join(deleted))
+        # We have to redirect to let flash messages appear immediately...
+        self.redirect(self.url())
         return
 
@@ -221,5 +249,5 @@
     grok.name('add')
     form_fields = grok.AutoFields(IUserAccount)
-    label = 'Add user'
+    label = ''
     title = 'Add user'
 
@@ -318,5 +346,5 @@
     grok.template('contactadminform')
     grok.require('waeup.Public')
-    pnav = 3 
+    pnav = 2
     
     def title(self):
@@ -839,6 +867,6 @@
     grok.name('add')
     form_fields = grok.AutoFields(IFaculty)
-    label = 'Add a faculty'
-    title = 'Add a faculty'
+    label = ''
+    title = 'Add faculty'
     pnav = 1
 
@@ -858,37 +886,15 @@
             return
         self.redirect(self.url(self.context))
-
-class ManageFacultyContainerPage(WAeUPPage):
-    """ Manage Page 
+        
+    @grok.action('Cancel')
+    def cancel(self, **data):
+        self.redirect(self.url(self.context))   
+
+class RemoveFacultyFormPage(RemoveFormPage):
+    """ Remove Faculty Page 
     """
     grok.context(IFacultyContainer)
-    grok.require('waeup.manageUniversity')
-    grok.template('facultycontainermanagepage')
-    grok.name('manage')
-    title = "Manage Faculties"
-    pnav = 1
-
-    def update(self):
-        form = self.request.form
-        if 'CANCEL' in form.keys():
-            self.redirect(self.url(self.context))
-        if not 'DELETE' in form.keys():
-            return
-        fac_id = form['fac_id']
-        if not isinstance(fac_id, list):
-            fac_id = [fac_id]
-        deleted = []
-        for id in fac_id:
-            try:
-                del self.context[id]
-                deleted.append(id)
-            except:
-                self.flash('Could not delete %s: %s: %s' % (
-                        id, sys.exc_info()[0], sys.exc_info()[1]))
-        if len(deleted):
-            self.flash('Successfully deleted: %s' % ', '.join(deleted))
-        # We have to redirect to let flash messages appear immediately...
-        self.redirect(self.url())
-        return
+    title = "Remove faculty"
+    pnav = 1
 
 #
@@ -917,5 +923,6 @@
     grok.require('waeup.manageUniversity')
     form_fields = grok.AutoFields(IDepartment)
-    title = 'Add a department'
+    title = 'Add department'
+    label = ''
     pnav = 1
     
@@ -935,4 +942,8 @@
             return
         self.redirect(self.url(self.context))
+        
+    @grok.action('Cancel')
+    def cancel(self, **data):
+        self.redirect(self.url(self.context))           
 
 class ManageFacultyFormPage(WAeUPEditFormPage):
@@ -961,4 +972,13 @@
         self.redirect(self.url(self.context))
         return
+
+
+class RemoveDepartmentFormPage(RemoveFormPage):
+    """ Remove Department Page 
+    """
+    grok.context(IFaculty)
+    title = "Remove department"
+    pnav = 1
+
 
 #
@@ -997,5 +1017,5 @@
     grok.name('manage')
     grok.require('waeup.manageUniversity')
-    title = u'Edit department settings'
+    title = u'Edit department'
     pnav = 1
 
@@ -1112,5 +1132,5 @@
     grok.name('manage')
     grok.require('waeup.manageUniversity')
-    title = u'Edit course settings'
+    title = u'Edit course'
     pnav = 1
 
@@ -1296,5 +1316,5 @@
     form_fields = grok.AutoFields(ICertificateCourse)
     pnav = 1
-    title = 'Add a course'
+    title = 'Add course'
 
     @grok.action('Add course')
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainermanagepage.pt	(revision 5916)
+++ 	(revision )
@@ -1,41 +1,0 @@
-  <h2>Registered faculties:</h2>
-
-
-  <div tal:condition="python: not len(context.keys())">
-    There are no faculties registered yet.
-  </div>
-  <form method="POST" tal:condition="python: len(context.keys())">
-    <table>
-      <tr tal:repeat="fac context/values"
-	  tal:attributes="class python: repeat['fac'].odd() and 'odd' or 'even'">
-	<td>
-	  <input type="checkbox"
-		 name="fac_id"
-		 tal:attributes="value fac/code" />
-	</td>
-	<td>
-	  <a href="."
-	     tal:content="fac/code"
-	     tal:attributes="href python:view.url(fac)">
-	    FacultyCode
-	  </a>
-	</td>
-	<td>
-	  <a href="."
-	     tal:content="fac/title"
-	     tal:attributes="href python:view.url(fac)">
-	    Faculty Name
-	  </a>
-	</td>
-      </tr>
-    </table>
-    <input type="submit" name="DELETE" value="Delete selected" />
-    <input type="submit" name="CANCEL" value="Cancel" />
-  </form>
-
-  <div>
-    <form method="POST" 
-	  tal:attributes="action string:add">
-      <input type="submit" name="addfaculty" value="Add" />
-    </form>
-  </div>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainerpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainerpage.pt	(revision 5916)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainerpage.pt	(revision 5917)
@@ -1,3 +1,3 @@
-  <h2>Registered Faculties</h2>
+  <h2>Faculties</h2>
 
   <div tal:condition="python: not len(context.keys())">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt	(revision 5916)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt	(revision 5917)
@@ -1,3 +1,3 @@
-  <h2>Registered Departments:</h2>
+  <h2>Departments</h2>
 
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/removesubobjectspage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/removesubobjectspage.pt	(revision 5917)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/removesubobjectspage.pt	(revision 5917)
@@ -0,0 +1,31 @@
+  <div tal:condition="python: not len(context.keys())">
+    There are no subobjects registered yet.
+  </div>
+  <form method="POST" tal:condition="python: len(context.keys())">
+    <table>
+      <tr tal:repeat="val context/values"
+	  tal:attributes="class python: repeat['val'].odd() and 'odd' or 'even'">
+	<td>
+	  <input type="checkbox"
+		 name="val_id"
+		 tal:attributes="value val/code" />
+	</td>
+	<td>
+	  <a href="."
+	     tal:content="val/code"
+	     tal:attributes="href python:view.url(val)">
+	    Subobject Code
+	  </a>
+	</td>
+	<td>
+	  <a href="."
+	     tal:content="val/title"
+	     tal:attributes="href python:view.url(val)">
+	    Subobject Name
+	  </a>
+	</td>
+      </tr>
+    </table>
+    <input type="submit" name="REMOVE" value="Remove selected" />
+    <input type="submit" name="CANCEL" value="Cancel" />
+  </form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 5916)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 5917)
@@ -62,5 +62,5 @@
     icon = 'actionicon_modify.png' # File must exist in static/
     target = '@@manage' # link to this viewname.
-    text = 'Edit settings' # Text to display on the button
+    text = 'Edit' # Text to display on the button
 
     # We set the template file explicitly (instead of using
@@ -125,5 +125,5 @@
     icon = 'actionicon_modify.png'
     target = '@@manage'
-    text = 'Edit settings'
+    text = 'Edit'
 
 class AddActionButton(ActionButton):
@@ -133,7 +133,17 @@
     grok.order(4)
     grok.require('waeup.manageUniversity')
-    icon = 'actionicon_addfavorite.png'
+    icon = 'actionicon_add.png'
     target = 'add'
     text = 'Add'
+    
+class RemoveActionButton(ActionButton):
+    """A base for 'remove' buttons.
+    """
+    grok.baseclass()
+    grok.order(4)
+    grok.require('waeup.manageUniversity')
+    icon = 'actionicon_delete.png'
+    target = 'remove'
+    text = 'Remove'    
 
 class SearchActionButton(ActionButton):
@@ -282,14 +292,15 @@
 #
 class ManageUniversityActionButton(ManageActionButton):
-    """ 'Edit settings' button for University instances.
+    """ 'Edit' button for University instances.
     """
     grok.context(IUniversity)
     grok.view(UniversityPage)
-    
-class ManageFacultiesActionButton(ManageActionButton):
-    """ 'Edit settings' button for faculty container.
-    """
-    grok.context(IFacultyContainer)
-    grok.view(FacultyContainerPage)
+    text = 'Edit portal settings'
+    
+#class ManageFacultiesActionButton(ManageActionButton):
+#    """ 'Edit settings' button for faculty container.
+#    """
+#    grok.context(IFacultyContainer)
+#    grok.view(FacultyContainerPage)
 
 class ManageDataCenterActionButton(ManageActionButton):
@@ -298,4 +309,5 @@
     grok.context(IDataCenter)
     grok.view(DatacenterPage)
+    text = 'Edit settings'
     
 class ManageFacultyActionButton(ManageActionButton):
@@ -304,4 +316,5 @@
     grok.context(IFaculty)
     grok.view(FacultyPage)
+    text = 'Edit faculty'
 
 class ManageDepartmentActionButton(ManageActionButton):
@@ -310,4 +323,5 @@
     grok.context(IDepartment)
     grok.view(DepartmentPage)
+    text = 'Edit department'
 
 class ManageCourseActionButton(ManageActionButton):
@@ -316,4 +330,5 @@
     grok.context(ICourse)
     grok.view(CoursePage)
+    text = 'Edit course'
     
 class ManageCertificateActionButton(ManageActionButton):
@@ -322,4 +337,5 @@
     grok.context(ICertificate)
     grok.view(CertificatePage)
+    text = 'Edit certificate'
 
 class ManageCertificateCourseActionButton(ManageActionButton):
@@ -328,4 +344,5 @@
     grok.context(ICertificateCourse)
     grok.view(CertificateCoursePage)
+    text = 'Edit certificate course'
 
 #
@@ -363,4 +380,20 @@
     text = 'Add course reference'
     target = 'addcertificatecourse'
+
+#
+# Remove actions...
+#
+
+
+class RemoveFacultyActionButton(RemoveActionButton):
+    grok.context(IFacultyContainer)
+    grok.view(FacultyContainerPage)
+    text = 'Remove faculty'
+    
+class RemoveDepartmentActionButton(RemoveActionButton):
+    grok.context(IFaculty)
+    grok.view(FacultyPage)
+    text = 'Remove department'
+
 
 #