Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 5917)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 5927)
@@ -15,4 +15,5 @@
 from hurry.workflow.interfaces import NoTransitionAvailableError
 from zope import schema
+from waeup.sirp.browser.resources import warning
 try:
     from zope.authentication.interfaces import (
@@ -235,5 +236,5 @@
     grok.context(IUserContainer)
     grok.name('index')
-    title = 'Users'
+    title = 'Portal Users'
     
     def update(self, userid=None, adduser=None, edit=None, delete=None):
@@ -845,18 +846,12 @@
     pnav = 1
 
-    def update(self):
-        self.table = ITableProvider(self.context).getTables(self)[0]
-        self.table.need()
-    
-    def getFaculties(self):
-        """Convinience method to create a sorted list of faculties.
-
-        It provides a list of dicts with entries for all data needed by
-        usual list templates.
-        """
-        result = []
-        for key, val in self.context.items():
-            result.append(dict(id=key, name=val.title))
-        return result
+    def update(self, code=None, edit=None, delete=None):
+        warning.need()
+        if delete is not None and code is not None:
+            try:
+                del self.context[code]
+                self.flash('Faculty %s successfully removed.' % code)                
+            except:
+                self.flash('Could not delete %s.' % code)
 
 class AddFacultyFormPage(WAeUPAddFormPage):
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogspage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogspage.pt	(revision 5917)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogspage.pt	(revision 5927)
@@ -1,4 +1,2 @@
-<h2>Available Log Files</h2>
-
 <p>
   Here you can see the local logfiles.
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacentermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacentermanagepage.pt	(revision 5917)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacentermanagepage.pt	(revision 5927)
@@ -1,4 +1,2 @@
-<h1>Data Center Settings</h1>
-
 <form method="POST">
   <div>
@@ -6,5 +4,5 @@
     <input type="text" name="newpath"
 	   tal:attributes="value context/storage" />
-    <br />
+    <br /><br />
     <div>
       <input type="checkbox" name="move" checked="checked" />
@@ -15,5 +13,5 @@
       <label for="overwrite">Overwrite contents in new location?</label>
     </div>
-
+    <br />
     <input type="submit" name="save" value="Save" />
     <input type="reset" name="reset" value="Reset" />
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenteruploadpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenteruploadpage.pt	(revision 5917)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenteruploadpage.pt	(revision 5927)
@@ -1,4 +1,2 @@
-<h1>Upload a file</h1>
-
 <form method="post" enctype="multipart/form-data">
   <input type="file" name="uploadfile:file" />
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usercontainerpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usercontainerpage.pt	(revision 5917)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usercontainerpage.pt	(revision 5927)
@@ -1,3 +1,7 @@
-<h2>Registered Users</h2>
+<h2>Portal Users</h2>
+
+<p>
+  Here you can manage portal users.  
+</p>
 
 <table class="zebra">
@@ -27,5 +31,2 @@
   </tbody>
 </table>
-<form method="post" action="add">
-  <input type="submit" name="adduser" value="Add user" />
-</form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 5917)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 5927)
@@ -9,8 +9,8 @@
 from waeup.sirp.browser.pages import (
     UniversityPage, FacultyContainerPage, DatacenterPage, FacultyPage,
-    DepartmentPage, CoursePage, CertificatePage, CertificateCoursePage)
+    DepartmentPage, CoursePage, CertificatePage, CertificateCoursePage, UserContainerPage)
 from waeup.sirp.browser.interfaces import (
     IFacultyContainer, IFaculty, IDepartment, ICourse, ICertificate,
-    ICertificateCourse, IBreadcrumbContainer, IUniversity)
+    ICertificateCourse, IBreadcrumbContainer, IUniversity, IUserContainer)
 from waeup.sirp.interfaces import (IWAeUPObject, IWAeUPXMLExporter,
                                    IWAeUPXMLImporter, IDataCenter)
@@ -350,4 +350,10 @@
 #
 
+class AddUserActionButton(AddActionButton):
+    grok.require('waeup.manageUsers')
+    grok.context(IUserContainer)
+    grok.view(UserContainerPage)
+    text = 'Add user'
+
 class AddFacultyActionButton(AddActionButton):
     grok.context(IFacultyContainer)
@@ -386,8 +392,8 @@
 
 
-class RemoveFacultyActionButton(RemoveActionButton):
-    grok.context(IFacultyContainer)
-    grok.view(FacultyContainerPage)
-    text = 'Remove faculty'
+#class RemoveFacultyActionButton(RemoveActionButton):
+#    grok.context(IFacultyContainer)
+#    grok.view(FacultyContainerPage)
+#    text = 'Remove faculty'
     
 class RemoveDepartmentActionButton(RemoveActionButton):