Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainerpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainerpage.pt	(revision 5936)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultycontainerpage.pt	(revision 5942)
@@ -10,26 +10,11 @@
       <th>Code</th>
       <th>Title</th>
-      <th>&nbsp;</th>
     </tr>
   </thead>
   <tbody>
-    <tr tal:repeat="value context/values"
-	tal:attributes="class python: repeat['value'].odd() and 'odd' or 'even'">
+    <tr tal:repeat="value context/values">
       <td> <a tal:attributes="href value/__name__"> <span tal:content="value/code">Name</span></a></td>
       <td tal:content="value/title">Title</td>
-      <td class="text-right">
-      <form method="post">
-         <input type="hidden" name="code" 
-          	 tal:attributes="value value/__name__"/>
-         <input type="submit" name="delete" value="remove" 
-                onclick="return confirmPost('All departments and courses of this faculty will be removed too. Are you sure?')">
-      </form>
-	
-      </td>
     </tr>
   </tbody>
 </table>
-
-<div tal:content="structure provider:subobjectlist">
-  List of subobjects
-</div>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt	(revision 5936)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt	(revision 5942)
@@ -1,4 +1,3 @@
 <h2>Departments</h2>
-
 
 <div tal:condition="python: not len(context.keys())">
@@ -11,19 +10,11 @@
       <th>Code</th>
       <th>Title</th>
-      <th>&nbsp;</th>
     </tr>
   </thead>
   <tbody>
-    <tr tal:repeat="value context/values"
-	tal:attributes="class python: repeat['value'].odd() and 'odd' or 'even'">
+    <tr tal:repeat="value context/values">
       <td> <a tal:attributes="href value/__name__"> <span tal:content="value/code">Name</span></a></td>
       <td tal:content="value/title">Title</td>
       <td class="text-right">
-      <form method="post">
-         <input type="hidden" name="code" 
-          	 tal:attributes="value value/__name__"/>
-         <input type="submit" name="delete" value="remove" 
-                onclick="return confirmPost('All courses and certificates of this faculty will be removed too. Are you sure?')">
-      </form>
       </td>
     </tr>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/removesubobjectspage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/removesubobjectspage.pt	(revision 5936)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/removesubobjectspage.pt	(revision 5942)
@@ -3,29 +3,30 @@
   </div>
   <form method="POST" tal:condition="python: len(context.keys())">
+    <div tal:condition="python: not len(context.keys())">
+    There are no faculties registered yet.
+    </div>
+    
     <table>
-      <tr tal:repeat="val context/values"
-	  tal:attributes="class python: repeat['val'].odd() and 'odd' or 'even'">
-	<td>
-	  <input type="checkbox"
-		 name="val_id"
-		 tal:attributes="value val/code" />
-	</td>
-	<td>
-	  <a href="."
-	     tal:content="val/code"
-	     tal:attributes="href python:view.url(val)">
-	    Subobject Code
-	  </a>
-	</td>
-	<td>
-	  <a href="."
-	     tal:content="val/title"
-	     tal:attributes="href python:view.url(val)">
-	    Subobject Name
-	  </a>
-	</td>
-      </tr>
+      <thead>
+        <tr>
+          <th>&nbsp;</th>
+          <th>Code</th>
+          <th>Title</th>
+        </tr>
+      </thead>
+      <tbody>
+        <tr tal:repeat="value context/values"
+    	tal:attributes="class python: repeat['value'].odd() and 'odd' or 'even'">
+    	  <td>
+    	  <input type="checkbox"
+    		 name="val_id"
+    		 tal:attributes="value value/__name__" />
+    	  </td>    	
+          <td> <a tal:attributes="href value/__name__"> <span tal:content="value/code">Name</span></a></td>
+          <td tal:content="value/title">Title</td>
+        </tr>
+      </tbody>
     </table>
-    <input type="submit" name="REMOVE" value="Remove selected" />
+    <input type="submit" name="REMOVE" value="Remove selected" onclick="return confirmPost('All sububjects will be removed too. Are you sure?')"/>
     <input type="submit" name="CANCEL" value="Cancel" />
   </form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usercontainerpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usercontainerpage.pt	(revision 5936)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usercontainerpage.pt	(revision 5942)
@@ -15,6 +15,5 @@
   </thead>
   <tbody>
-    <tr tal:repeat="account context/values"
-	tal:attributes="class python: repeat['account'].odd() and 'odd' or 'even'">
+    <tr tal:repeat="account context/values">
       <td tal:content="account/name">username</td>
       <td tal:content="account/title">Title</td>